%%Graficar con stem
%% Parametros y grfico discreto: seal periodica
n=1:50;
N=10;
f=sin((n*pi)/N);
stem(n,f)

%% Grafica 2 Discreta - no periodica
f2=sin(0.5*n); %no periodico (omega =/ 2*pi*n/N)
stem(n,f2);

%% Continua
% Simulado: la seal tiene tiempo discreto pero sus puntos son unidos por
% rectas
td=0:0.1:2*pi;
fs=sin(2*td);
plot(fs)

%% Grafica real
stem(fs)

%% Continua y analogica, funcion de energia
% si se declara una variable simblica, stos significa que la variable es
% contnua y que sus expresiones podran tomar cualquier valor arbitrario.
syms t;
f=exp((-1*(t-1)^2)/2);
ezplot(f)

%% Grafica de sen(t), cos(t), y -cos(t)
% Si una expresin es simblica, las integrales y derivadas obedecen las
% reglas conocidas del clculo de variable contnua.
f2=sin(t);
f3=diff(f2);
f4=int(f2);

%% Varios grficos en el mismo recuadro
% La funcin subplot divide una ventana de graficacin en una matriz y
% grafica en la posicin que indique el ltimo argumento

subplot(3,1,1); ezplot(f2)
subplot(3,1,2); ezplot(f3)
subplot(3,1,3); ezplot(f4)

%% Funciones especiales: salto unitario
% La funcin heaviside es el nombre de la funcin equivalente al salto
% unitario u(t), con ella se pueden componer otras funciones conocidas como
% la funcin pulso rectangular.

figure
syms t;
g=heaviside(t+1/2)-heaviside(t-1/2);

ezplot(g, [-1,1])